Multi Range Slider

React Bootstrap 5 Multi Range Slider component

MDBootstrap slider is an interactive component that lets the user swiftly slide through possible values spread over a desired range. .

Note: Read the API tab to find all available options and advanced customization


Basic example

A multi-range-slider slider is gonna autoinit if you add class multi-range-slider to your element. Multi-range Slider starts with max 100 and min 0 values.

        
            
          import React from 'react';
          import { 
            MDBMultiRange, 
          } from 'mdb-react-ui-kit';

          export default function App() {
            return (
              <MDBMultiRange />
            );
          }
        
        
    

Basic example with values

You can show values in the another element in dom

Value:
First:
Second:
        
            
        import React from 'react';
        import { 
          MDBMultiRange, 
        } from 'mdb-react-ui-kit';

        export default function App() {
          const [basicValues, setBasicValues] = useState<{ first?: number; second?: number }>({ first: 0, second: 100 });

          return (
            <>
              <MDBMultiRange getValues={(values) => setBasicValues(values)} />
              <p>Value:</p>
              <p>First: {basicValues.first}</p>
              <p>Second: {basicValues.second}</p>
            </>
          );
        }
      
        
    

Start Values

You can change start values to ranges with option startValues.

        
            
          import React from 'react';
          import { 
            MDBMultiRange, 
          } from 'mdb-react-ui-kit';

          export default function App() {
            const [startValues, setStartValues] = useState<{ first?: number; second?: number }>({ first: 0, second: 100 });

            return (
              <>
                <MDBMultiRange defaultValues={{ first: 40, second: 80 }} getValues={(values) => setStartValues(values)} />
                <p>Value:</p>
                <p>First: {startValues.first}</p>
                <p>Second: {startValues.second}</p>
              </>
            );
          }
        
        
    

Tooltips

You can set tooltip to ranges with option tooltip.

        
            
          import React from 'react';
          import { 
            MDBMultiRange, 
          } from 'mdb-react-ui-kit';

          export default function App() {
            return (
               <MDBMultiRange tooltips />
            );
          }
        
        
    

Step example

You can set a step to the ranges with option step.

        
            
          import React from 'react';
          import { 
            MDBMultiRange, 
          } from 'mdb-react-ui-kit';

          export default function App() {
            return (
              <MDBMultiRange step='5' />
            );
          }
        
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Multi Range Slider - API


Import

        
            
            import { 
              MDBMultiRange,
            } from 'mdb-react-ui-kit';
          
        
    

Properties

MDBMultiRange

Name Type Default Description Example
defaultValues { first?: number; second?: number } '' Default values of the input <MDBMultiRange defaultValues={values} />
min string | number '' Minimum value of the MDBMultiRange <MDBMultiRange min='5' />
max string | number '' Maximum value of the MDBMultiRange <MDBMultiRange max='16' />
step string '1' Change the step of the MDBMultiRange <MDBMultiRange step='5' />
tooltips boolean false Enables tooltips <MDBMultiRange tooltips />

Events

Name Type Default Description Example
getValues (values: { first?: number; second?: number }) => void - Returns input values on change <MDBMultiRange getValues={(e)=>console.log(e)} />

CSS variables

        
            
        // .multi-range-slider
        --#{$prefix}multi-range-sliderhand-focus-box-shadow: #{$form-range-thumb-focus-box-shadow};
        --#{$prefix}multi-range-slider-horizontal-height: #{$multi-range-slider-horizontal-height};
        --#{$prefix}multi-range-hand-width: #{$form-range-thumb-width};
        --#{$prefix}multi-range-hand-height: #{$form-range-thumb-height};
        --#{$prefix}multi-range-hand-bg: #{$form-range-thumb-bg};
        --#{$prefix}multi-range-hand-border-radius: #{$range-thumb-border-radius};
        --#{$prefix}multi-range-hand-box-shadow: #{$form-range-thumb-box-shadow};
        --#{$prefix}multi-range-hand-transition: #{$form-range-thumb-transition};
        --#{$prefix}multi-range-hand-active-bg: #{$form-range-thumb-active-bg};
        --#{$prefix}multi-range-track-bg: #{$form-range-track-bg};
        --#{$prefix}multi-range-tooltip-transition: #{$multi-range-tooltip-transition};
        --#{$prefix}multi-range-tooltip-border-radius: #{$multi-range-tooltip-border-radius};
        --#{$prefix}multi-range-tooltip-transform: #{$multi-range-tooltip-transform};
        --#{$prefix}multi-range-tooltip-transform-active: #{$multi-range-tooltip-transform-active};
        --#{$prefix}multi-range-tooltip-content-size: #{$multi-range-tooltip-content-size};
        --#{$prefix}multi-range-tooltip-content-transform: #{$multi-range-tooltip-content-transform};
        --#{$prefix}multi-range-tooltip-content-font-size: #{$multi-range-tooltip-content-font-size};
        --#{$prefix}multi-range-tooltip-position-top: #{$multi-range-tooltip-position-top};
        
        
    

SCSS variables

        
            
        $multi-range-slider-horizontal-height: 0.25rem;
        $multi-range-tooltip-transition: top 0.2s, transform 0.2s, border-radius 0.2s;
        $multi-range-tooltip-border-radius: 50% 50% 50% 0;
        $multi-range-tooltip-position-top: -18px;
        $multi-range-tooltip-transform: rotate(-45deg) translate(-5px, -4px) scale(0);
        $multi-range-tooltip-transform-active: rotate(-45deg) translate(-5px, -4px) scale(1);
        $multi-range-tooltip-content-size: 30px;
        $multi-range-tooltip-content-transform: rotate(45deg) translateY(25%);
        $multi-range-tooltip-content-font-size: 10px;

Multi Range Slider

Vue Bootstrap 5 Multi Range Slide component

Vue slider is an interactive component that lets the user swiftly slide through possible values spread over a desired range. .

Note: Read the API tab to find all available options and advanced customization


Basic example

Multi-range Slider starts with max 100 and min 0 values.

        
            
          <template>
            <MDBMultiRange :thumb="false"></MDBMultiRange>
          </template>
        
        
    
        
            
          <script>
            import { MDBMultiRange } from "mdb-vue-ui-kit";

            export default {
              components: {
                MDBMultiRange
              },
            };
          </script>
        
        
    
        
            
          <script setup lang="ts">
            import { MDBMultiRange } from "mdb-vue-ui-kit";
          </script>
        
        
    

Basic example with values

You can show values in the another element in dom

Value:
First:
Second:
        
            
        <template>
          <MDBMultiRange :thumb="false" v-model:firstValue="firstValue" v-model:secondValue="secondValue"></MDBMultiRange>
          <div class="mt-3">
            Value:
            <span class="d-flex flex-column">
              <div>First: {{ firstValue }}</div>
              <div>Second: {{ secondValue }}</div>
            </span>
          </div>
        </template>
        
        
    
        
            
          <script>
            import { MDBMultiRange } from "mdb-vue-ui-kit";
            import { ref } from "vue";

            export default {
              components: {
                MDBMultiRange
              },
              setup() {
                const firstValue = ref(0);
                const secondValue = ref(100);

                return {
                  firstValue,
                  secondValue,
                };
              }
            };
          </script>
        
        
    
        
            
          <script setup lang="ts">
            import { MDBMultiRange } from "mdb-vue-ui-kit";
            import { ref } from "vue";

            const firstValue = ref(0);
            const secondValue = ref(100);
          </script>
        
        
    

One range

You can set a one range to your slider with oneRange property.

        
            
          <template>
            <MDBMultiRange :thumb="false" oneRange></MDBMultiRange>
          </template>
          
        
    
        
            
            <script>
              import { MDBMultiRange } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBMultiRange
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiRange } from "mdb-vue-ui-kit";
            </script>
          
        
    

Start Values

You can change start values to ranges with firstValue and secondValue properties. Or use v-model to get two-way binding.

        
            
          <template>
            <MDBMultiRange :thumb="false" v-model:firstValue="first" v-model:secondValue="second" @update:firstValue="handleChange"
              @update:secondValue="handleChange"></MDBMultiRange>
            <div class="mt-3">
              Value:
              <span class="d-flex flex-column">
                <div v-if="active">First: {{ first }}</div>
                <div v-if="active">Second: {{ second }}</div>
              </span>
            </div>
          </template>
          
        
    
        
            
            <script>
              import { MDBMultiRange } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBMultiRange
                },
                setup() {
                  const first = ref(40);
                  const second = ref(80);
                  const active = ref(false);

                  const handleChange = () => (active.value = true);

                  return {
                    first,
                    second,
                    active,
                    handleChange,
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiRange } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const first = ref(40);
              const second = ref(80);
              const active = ref(false);

              const handleChange = () => (active.value = true);
            </script>
          
        
    

Tooltips

You can set tooltip to ranges with thumb property.

        
            
          <template>
            <MDBMultiRange></MDBMultiRange>
          </template>
          
        
    
        
            
            <script>
              import { MDBMultiRange } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBMultiRange
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiRange } from "mdb-vue-ui-kit";
            </script>
          
        
    

Step example

You can set a step to the ranges with step attribute.

        
            
          <template>
            <MDBMultiRange :thumb="false" :step="5"></MDBMultiRange>
          </template>
          
        
    
        
            
            <script>
              import { MDBMultiRange } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBMultiRange
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMultiRange } from "mdb-vue-ui-kit";
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Multi Range Slider - API


Import

        
            
        <script>
          import {
            MDBMultiRange
          } from 'mdb-vue-ui-kit';
        </script>
        
        
    

Properties

Property Type Default Description
disabled Boolean false Disables input
id String unique random id Changes input's id
secondId String unique random id Changes second input's id
inputClass String "" Adds input classes
label String "" Changes input label
labelClass String "" Adds input label classes
max Number 100 Sets maximum value
min Number 0 Sets minimum value
step Number 1 Defines range step
tag String "div" Changes input wrapper tag
thumb Boolean true Enables or disables thumb.
thumbClass String "" Adds thumb classes
firstValue Number 0 Changes first input value
secondValue Number 100 Changes second input value
wrapperClass String "" Adds input wrapper classes
oneRange Boolean false Displays only one range

Events

Event Type Description
update:firstValue This event fires when the value of first input has been changed.
update:secondValue This event fires when the value of second input has been changed.
start This event fires when you start sliding thumb.
end This event fires when you stop sliding thumb.
slide This event fires when you use arrows to slide thumb.
        
            
          <template>
            <MDBMultiRange @update:firstValue="doSomething"></MDBMultiRange>
          </template>
        
        
    

CSS variables

        
            
        // .multi-range-slider
        --#{$prefix}multi-range-slider-focus-box-shadow: #{$form-range-thumb-focus-box-shadow};
        --#{$prefix}multi-range-slider-height: #{$multi-range-slider-height};
        --#{$prefix}multi-range-hand-width: #{$form-range-thumb-width};
        --#{$prefix}multi-range-hand-height: #{$form-range-thumb-height};
        --#{$prefix}multi-range-hand-bg: #{$form-range-thumb-bg};
        --#{$prefix}multi-range-hand-border-radius: #{$range-thumb-border-radius};
        --#{$prefix}multi-range-hand-box-shadow: #{$form-range-thumb-box-shadow};
        --#{$prefix}multi-range-hand-transition: #{$form-range-thumb-transition};
        --#{$prefix}multi-range-hand-active-bg: #{$form-range-thumb-active-bg};
        --#{$prefix}multi-range-track-bg: #{$form-range-track-bg};
        --#{$prefix}multi-range-tooltip-value-color: #{$range-thumb-value-color};
        --#{$prefix}multi-range-tooltip-transition: #{$multi-range-tooltip-transition};
        --#{$prefix}multi-range-tooltip-border-radius: #{$multi-range-tooltip-border-radius};
        --#{$prefix}multi-range-tooltip-transform: #{$multi-range-tooltip-transform};
        --#{$prefix}multi-range-tooltip-transform-active: #{$multi-range-tooltip-transform-active};
        --#{$prefix}multi-range-tooltip-content-size: #{$multi-range-tooltip-content-size};
        --#{$prefix}multi-range-tooltip-content-transform: #{$multi-range-tooltip-content-transform};
        --#{$prefix}multi-range-tooltip-content-font-size: #{$multi-range-tooltip-content-font-size};
        --#{$prefix}multi-range-tooltip-position-top: #{$multi-range-tooltip-position-top};
        --#{$prefix}multi-range-tooltip-bg: #{$multi-range-tooltip-bg};
        
        
    

SCSS variables

        
            
        $multi-range-slider-height: 0.25rem;
        $multi-range-tooltip-transition: top 0.2s, transform 0.2s, border-radius 0.2s;
        $multi-range-tooltip-border-radius: 50% 50% 50% 0;
        $multi-range-tooltip-position-top: -18px;
        $multi-range-tooltip-transform: rotate(-45deg) translate(-5px, -4px) scale(0);
        $multi-range-tooltip-transform-active: rotate(-45deg) translate(-5px, -4px) scale(1);
        $multi-range-tooltip-content-size: 30px;
        $multi-range-tooltip-content-transform: rotate(45deg) translateY(25%);
        $multi-range-tooltip-content-font-size: 10px;
        $multi-range-tooltip-bg: $component-active-bg;

Multi Range Slider

Angular Bootstrap 5 Multi Range Slide component

MDBootstrap slider is an interactive component that lets the user swiftly slide through possible values spread over a desired range. .

Note: Read the API tab to find all available options and advanced customization


Basic example

Use mdb-multi-range element to render the multi range slider.

        
            
        <mdb-multi-range></mdb-multi-range>
        
        
    

Basic example with values

You can show values in the another element in dom

Value:
First:
Second:
        
            
        <mdb-multi-range [(ngModel)]="external"></mdb-multi-range>
        <div> Value: </div>
          <div>First: {{external[0]}}</div>
          <div>Second: {{external[1]}}</div>
        
        
    
        
            
          external = [0, 0];
        
        
    

One range

You can set a one range to your slider with the [numberOfRanges] input.

        
            
        <mdb-multi-range [numberOfRanges]="1"></mdb-multi-range>
        
        
    

Start Values

You can change start values to ranges with option startValues.

        
            
        <mdb-multi-range [startValues]="[40, 80]" [(ngModel)]="externalStartValues"></mdb-multi-range>
        <div> Value: </div>
          <div>First: {{externalStartValues[0]}}</div>
          <div>Second: {{externalStartValues[1]}}</div>
        
        
        
    
        
            
        externalStartValues = {0, 0};
        
        
    

Tooltips

You can set tooltip to ranges with the [tooltip] input.

        
            
          <mdb-multi-range [tooltip]="true"></mdb-multi-range>
        
        
    

Step

You can set a step to the ranges with the [step] input.

        
            
        <mdb-multi-range [step]="5"></mdb-multi-range>
        
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Multi Range Slider - API


Import

        
            
        import { MdbMultiRangeModule } from 'mdb-angular-ui-kit/multi-range';
        import { FormsModule } from '@angular/forms';

        …
        @NgModule ({
          ...
          imports: [MdbMultiRangeModule, FormsModule],
          ...
        })
        
        
    

Inputs

Name Type Default Description
highlightRange boolean false Highlight active range of slider
max number 100 Set maximum range of slider
min number 0 Set minimum range of slider
startValues number[] [0,100] Set width of range
step number 5 Set step to range
tooltip boolean false Set tooltips to ranges

Outputs

Name Type Description
startDrag EventEmitter<void> This event fires when you start dragging the thumb.
endDrag EventEmitter<void> This event fires when you end dragging the thumb.
changeValue EventEmitter<void> This event fires when any of the Multi range slider values changes.
        
            
            <mdb-multi-range
            (startDrag)="handleStartDrag()"
          ></mdb-multi-range>                   
            
        
    
        
            
            import { Component } from '@angular/core';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              handleStartDrag() {
                console.log('start drag');
              }
            }                    
            
        
    

CSS variables

        
            
        // .multi-range-slider
        --#{$prefix}multi-range-sliderhand-focus-box-shadow: #{$form-range-thumb-focus-box-shadow};
        --#{$prefix}multi-range-slider-horizontal-height: #{$multi-range-slider-horizontal-height};
        --#{$prefix}multi-range-hand-width: #{$form-range-thumb-width};
        --#{$prefix}multi-range-hand-height: #{$form-range-thumb-height};
        --#{$prefix}multi-range-hand-bg: #{$form-range-thumb-bg};
        --#{$prefix}multi-range-hand-border-radius: #{$range-thumb-border-radius};
        --#{$prefix}multi-range-hand-box-shadow: #{$form-range-thumb-box-shadow};
        --#{$prefix}multi-range-hand-transition: #{$form-range-thumb-transition};
        --#{$prefix}multi-range-hand-active-bg: #{$form-range-thumb-active-bg};
        --#{$prefix}multi-range-track-bg: #{$form-range-track-bg};
        --#{$prefix}multi-range-tooltip-transition: #{$multi-range-tooltip-transition};
        --#{$prefix}multi-range-tooltip-border-radius: #{$multi-range-tooltip-border-radius};
        --#{$prefix}multi-range-tooltip-transform: #{$multi-range-tooltip-transform};
        --#{$prefix}multi-range-tooltip-transform-active: #{$multi-range-tooltip-transform-active};
        --#{$prefix}multi-range-tooltip-content-size: #{$multi-range-tooltip-content-size};
        --#{$prefix}multi-range-tooltip-content-transform: #{$multi-range-tooltip-content-transform};
        --#{$prefix}multi-range-tooltip-content-font-size: #{$multi-range-tooltip-content-font-size};
        --#{$prefix}multi-range-tooltip-position-top: #{$multi-range-tooltip-position-top};
        
        
    

SCSS variables

        
            
        $multi-range-slider-horizontal-height: 0.25rem;
        $multi-range-tooltip-transition: top 0.2s, transform 0.2s, border-radius 0.2s;
        $multi-range-tooltip-border-radius: 50% 50% 50% 0;
        $multi-range-tooltip-position-top: -18px;
        $multi-range-tooltip-transform: rotate(-45deg) translate(-5px, -4px) scale(0);
        $multi-range-tooltip-transform-active: rotate(-45deg) translate(-5px, -4px) scale(1);
        $multi-range-tooltip-content-size: 30px;
        $multi-range-tooltip-content-transform: rotate(45deg) translateY(25%);
        $multi-range-tooltip-content-font-size: 10px;